org.apache.ode.bpel.evt

## Class ActivityExecEndEvent

- java.lang.Object
- - org.apache.ode.bpel.evt.BpelEvent
  - - org.apache.ode.bpel.evt.ProcessEvent
    - - org.apache.ode.bpel.evt.ProcessInstanceEvent
      - - org.apache.ode.bpel.evt.ScopeEvent
        - - org.apache.ode.bpel.evt.ActivityEvent
          - - org.apache.ode.bpel.evt.ActivityExecEndEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ActivityExecEndEvent
      extends ActivityEvent

  Event indicating that the activity completed execution.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.ode.bpel.evt.BpelEvent

      `BpelEvent.TYPE`

  - ### Field Summary

    - ### Fields inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivityExecEndEvent()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.ode.bpel.evt.ActivityEvent

      `getActivityDeclarationId, getActivityId, getActivityName, getActivityType, getType, setActivityDeclarationId, setActivityId, setActivityName, setActivityType`

    - ### Methods inherited from class org.apache.ode.bpel.evt.ScopeEvent

      `getParentScopeId, getParentScopesNames, getScopeDeclarationId, getScopeId, getScopeName, setParentScopeId, setParentScopesNames, setScopeDeclerationId, setScopeId, setScopeName`

    - ### Methods inherited from class org.apache.ode.bpel.evt.ProcessInstanceEvent

      `getProcessInstanceId, setProcessInstanceId`

    - ### Methods inherited from class org.apache.ode.bpel.evt.ProcessEvent

      `getProcessId, getProcessName, setProcessId, setProcessName`

    - ### Methods inherited from class org.apache.ode.bpel.evt.BpelEvent

      `eventName, getLineNo, getTimestamp, setLineNo, setTimestamp, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ActivityExecEndEvent

          public ActivityExecEndEvent()